| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::open (1 of 2 overloads)

Open the acceptor using the specified protocol.

    void open(
        const protocol_type & protocol = protocol_type());

This function opens the socket acceptor so that it will use the specified protocol.

###### Parameters

protocol

  An object specifying which protocol is to be used.

###### Exceptions

boost::system::system_error

  Thrown on failure.

###### Example

    boost::asio::ip::tcp::acceptor acceptor(io_service);
    acceptor.open(boost::asio::ip::tcp::v4());